Subject: Our WindowMaker wrapper pollutes PATH in the entire X session
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Sun, 12 Oct 2014 20:48:49 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

We install a wrapper script around WindowMaker that prepends
/gnu/store/XXX-windowmaker-XXX/bin to $PATH.  This setting is propagated
to all subprocesses in the entire X session, which is suboptimal.  It
would be nice to find another solution, preferably by using absolute
pathnames when launching subprocesses run by WindowMaker.

      Mark